#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2020, Intel Corporation. All rights reserved.
# SPDX-License-Identifier: BSD-2-Clause
#

import subprocess


def _run(cmd, **options):
    """call subprocess.run().
    Returns stdout with enclosing whitespaces stripped
    """
    _ = options.setdefault("stdout", subprocess.PIPE)
    _ = options.setdefault("stderr", subprocess.STDOUT)
    completed = subprocess.run(cmd, **options)
    args, returncode, stdout = completed.args, completed.returncode, completed.stdout
    stdout = stdout.decode("utf-8")
    return args, returncode, stdout
